# $chan.matchban

Matches a mask agains the channel ban list

Syntax

    $chan.matchban([window_id],<complete_mask>)

Description

Returns the ban mask that matches <complete_mask> on channel identified by [window_id].
If no ban mask matches <complete_mask> an empty string is returned.
If [window_id] is empty, the current window is used.
If the window designated by [window_id] is not a channel a warning is printed and an empty string is returned.
This function is useful to determine if a ban set on the channel matches an user.

Main, Functions

KVIrc 3.0.0 Documentation
Generated by root at Sat Oct 16 22:01:45 2004